//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
#define BUFSIZE 64
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
  DCB    dcb;                  // DCB
  HANDLE Port;                 // 
  OVERLAPPED ovr_wr, ovr_rd;

  bool WR_FLAG, RD_FLAG;
  unsigned char wr_buf[BUFSIZE], rd_buf[BUFSIZE]; //   
  char out_buf[BUFSIZE];
  int  wr_buf_len, rd_buf_len;
  int  TimerStep;

void OpenPort(void);
void ClosePort(void);
//---------------------------------------------------------------------------
class ReadThread : public TThread
{
private:
protected: void __fastcall Execute();            //  
           void __fastcall PlaceReadedOnForm();  //    
public: __fastcall ReadThread(bool CreateSuspended);
};
//---------------------------------------------------------------------------
class WriteThread : public TThread
{
private:
protected: void __fastcall Execute();            //  
           void __fastcall ShowResultMessage();  //    
public: __fastcall WriteThread(bool CreateSuspended);
};
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TEdit *Edit1;
        TMainMenu *MainMenu1;
        TMenuItem *File1;
        TMenuItem *Exit1;
        TMenuItem *Help1;
        TMenuItem *About1;
        TButton *Button1;
        TComboBox *ComboBox1;
        TButton *Button2;
        TButton *Button3;
        TTimer *Timer1;
        TEdit *Edit2;
        TRadioButton *RadioButton1;
        TRadioButton *RadioButton2;
        void __fastcall Exit1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall About1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
